Bug 149467 - RHEL3: lockdev errs on /dev/input/ttyACM0 (3-component pathname)
RHEL3: lockdev errs on /dev/input/ttyACM0 (3-component pathname)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lockdev (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brian Brock
:
Depends On:
Blocks: 187539
  Show dependency treegraph
 
Reported: 2005-02-23 08:02 EST by Karel Zak
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0405
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 17:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2005-02-23 08:02:29 EST
+++ This bug was initially created as a clone of Bug #126082 +++

Description of problem:
/usr/sbin/lockdev works only for 2-component pathnames
("/dev/something") and does not check for 3-component pathnames such
as /dev/input/ttyACM0.  minicom and other applications expect
"/usr/sbin/lockdev -l /dev/arbitrary/path/name" to work, but it
doesn't, and the error diagnosis is cryptic and/or misleading.  Either
lockdev should work with an arbitrary pathname below /dev, or lockdev
should be verbose and informative about the error, or all applications
that use lockdev should be fixed to detect 3 or more components in a
pathname (and then adapt appropriately.)
Comment 9 Red Hat Bugzilla 2006-05-10 17:39:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0405.html

Note You need to log in before you can comment on or make changes to this bug.